Bug 1614255 - Failed to show Kibana when redirect from console
Summary: Failed to show Kibana when redirect from console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-09 09:26 UTC by Anping Li
Modified: 2018-10-16 17:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 17:44:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-web-console pull 3067 None closed No longer post token for kibana 2020-02-21 09:04:56 UTC

Description Anping Li 2018-08-09 09:26:49 UTC
Description of problem:
Failed to show Kibana when redirect from web-console->Applications->pods->$Pod->Logs->View Archive

It is redirected to https://kibana.apps.0809-f0i.qe.rhcloud.com/auth/token/. and report error "{"statusCode":404,"error":"Not Found"}"


Version-Release number of selected component (if applicable):
Logging:v3.11.0-0.11.0.0

How reproducible:
Always

Steps to Reproduce:
1. Login webconsole
2. Click Applications->pods->$Pod->Logs->View Archive

3.

Actual results:
it redirect to Kibana.

Expected results:
It redirect to https://kibana.apps.0809-f0i.qe.rhcloud.com/auth/token/ and print '{"statusCode":404,"error":"Not Found"}'


Additional info:

Comment 1 Jeff Cantrill 2018-08-27 17:46:08 UTC
The outcome of the fix will end up as a functionality change from prior releases due to the change in proxy usage:

* Modify console 'log archive' link to no longer post or provide your auth token
* Change necessitates users may have to login again
* Post 3.11 there will not be an archive link to Kibana because of the console arch changes and other.
* This is a minor regression from 3.10.

We made this change because of maintenance concerns related to the Fabric8 proxy; it was on 0.10.43 of Node which is considerably EOL.

Comment 2 openshift-github-bot 2018-08-28 14:46:51 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/1c83a2166ec21f1c9389d674298c29f6c5625707
bug 1614255. Remove posting token for use with oauth-proxy

Comment 3 openshift-github-bot 2018-08-28 14:49:36 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/5b005aaf6d7817915d60f660b520c85d62b533be
Revert "bug 1614255. Remove posting token for use with oauth-proxy"

This reverts commit 1c83a2166ec21f1c9389d674298c29f6c5625707.

Comment 5 openshift-github-bot 2018-08-30 16:16:00 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/d922cc2827304fb3315fc9690d757e9026785342
bug 1614255. Remove posting token for use with oauth-proxy

Comment 6 Michael Burke 2018-09-06 14:25:15 UTC
Added note to docs:
https://bugzilla.redhat.com/show_bug.cgi?id=1614255

Comment 7 Anping Li 2018-09-07 05:29:43 UTC
Verified and pass with logging:v3.11.0-0.28.0.0

Comment 8 Michael Burke 2018-09-07 18:59:00 UTC
Correct link to note in docs:
https://github.com/openshift/openshift-docs/commit/a8a5f6e8c9fba730044b46fba47a5ae38802be17


Note You need to log in before you can comment on or make changes to this bug.